You are probably here because the Windows Installer spat out an error about needing a .NET framework - whatever that is!!

 

.NET is some software that Microsoft maintains (and releases regular version updates to.) Normally, Windows Update will install the latest version automatically but there are times when this doesn't happen. iThoughts relies a particular (minimum) version of .NET being installed. Since you are here, you probably need to manually install the latest version of .NET - using the link below. If you have Windows7/8 then it might require you to update other aspects of the operating system also.

 

www.microsoft.com

NB: Don't download Visual Studio (just the latest .NET framework)